import React, { ComponentProps, ReactNode } from 'react';
import JSONTree from 'react-json-tree';
import { Base16Theme, StylingFunction } from 'react-base16-styling';
export interface TreeViewProps extends Partial<Pick<ComponentProps<typeof JSONTree>, 'keyPath' | 'shouldExpandNode' | 'hideRoot'>> {
    data: unknown;
    isWideLayout: boolean;
    before?: ReactNode;
    after?: ReactNode;
    children?: ReactNode;
}
export declare class TreeView extends React.PureComponent<TreeViewProps> {
    static defaultProps: {
        hideRoot: boolean;
        shouldExpandNode: (keyPath: (string | number)[], value: unknown, layer: number) => boolean;
    };
    readonly selectLabelRenderer: import("@reduxjs/toolkit").OutputSelector<[(stylingFunction: StylingFunction) => StylingFunction], ([key]: (string | number)[], nodeType: string, expanded: boolean) => React.ReactNode, never, ((args_0: StylingFunction, ...args_1: unknown[]) => ([key]: (string | number)[], nodeType: string, expanded: boolean) => React.ReactNode) & ((...args: any[]) => any) & {
        clearCache: () => void;
    }>;
    readonly selectGetItemString: import("@reduxjs/toolkit").OutputSelector<[(stylingFunction: StylingFunction) => StylingFunction], (type: string, data: unknown) => ReactNode, never, ((args_0: StylingFunction, ...args_1: unknown[]) => (type: string, data: unknown) => ReactNode) & ((...args: any[]) => any) & {
        clearCache: () => void;
    }>;
    readonly selectTheme: import("@reduxjs/toolkit").OutputSelector<[(base16Theme: Base16Theme) => Base16Theme], import("react-base16-styling").StylingConfig, never, ((args_0: Base16Theme, ...args_1: unknown[]) => import("react-base16-styling").StylingConfig) & ((...args: any[]) => any) & {
        clearCache: () => void;
    }>;
    constructor(props: TreeViewProps);
    render(): ReactNode;
}
